//	Copyright (C) 1999-2003 Core Technologies.
//
//	This file is part of tpasm.
//
//	tpasm is free software; you can redistribute it and/or modify
//	it under the terms of the tpasm LICENSE AGREEMENT.
//
//	tpasm is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	tpasm LICENSE AGREEMENT for more details.
//
//	You should have received a copy of the tpasm LICENSE AGREEMENT
//	along with tpasm; see the file "LICENSE.TXT".


int NumLabels();
LABEL_RECORD *LocateLabel(char *labelName);
void DestroyLabel(LABEL_RECORD *theLabel);
LABEL_RECORD *CreateLabel(char *labelName,int value,int type,int passCount,bool resolved);
bool AssignLabel(char *labelName,bool isLocal,int theValue);
bool AssignConstant(char *theName,int theValue,bool resolved);
void UnAssignSetConstant(char *theName);
bool AssignSetConstant(char *theName,int theValue,bool resolved);
void UnInitLabels();
bool InitLabels();
