//	Copyright (C) 1999-2003 Core Technologies.
//
//	This file is part of tpasm.
//
//	tpasm is free software; you can redistribute it and/or modify
//	it under the terms of the tpasm LICENSE AGREEMENT.
//
//	tpasm is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	tpasm LICENSE AGREEMENT for more details.
//
//	You should have received a copy of the tpasm LICENSE AGREEMENT
//	along with tpasm; see the file "LICENSE.TXT".


bool ParseWhiteSpace(char *theLine,int *lineIndex);
bool ParseComment(char *theLine,int *lineIndex);
bool IsStartLabelChar(char theChar);
bool IsLabelChar(char theChar);
bool ParseLabel(char *theLine,int *lineIndex,char *theLabel,bool *isLocal);
bool ParseQuotedString(char *theLine,int *lineIndex,char startQuote,char endQuote,char *theString,int *stringLength);
bool ParseQuotedStringVerbatim(char *theLine,int *lineIndex,char startQuote,char endQuote,char *theString);
bool ParseExpression(char *theLine,int *lineIndex,int *theValue,bool *unresolved);
bool ParseNumber(char *theLine,int *lineIndex,int *theValue);
bool ParseParentheticString(char *theLine,int *lineIndex,char *theString);
bool ParseLabelDefinition(char *theLine,int *lineIndex,char *theLabel,bool *isLocal);
bool ParseOpcode(char *theLine,int *lineIndex,char *theOpcode);
bool ParseCommaSeparator(char *theLine,int *lineIndex);
bool ParseFirstListElement(char *theLine,int *lineIndex,char *theElement);
bool ParseNextListElement(char *theLine,int *lineIndex,char *theElement);
bool ParseFirstLabelElement(char *theLine,int *lineIndex,char *theElement);
bool ParseNextLabelElement(char *theLine,int *lineIndex,char *theElement);
bool ProcessTextSubsitutions(char *outputLine,char *inputLine,TEXT_BLOCK *labels,TEXT_BLOCK *substitutionText,bool *overflow);
