//	Copyright (C) 1999-2003 Core Technologies.
//
//	This file is part of tpasm.
//
//	tpasm is free software; you can redistribute it and/or modify
//	it under the terms of the tpasm LICENSE AGREEMENT.
//
//	tpasm is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	tpasm LICENSE AGREEMENT for more details.
//
//	You should have received a copy of the tpasm LICENSE AGREEMENT
//	along with tpasm; see the file "LICENSE.TXT".


SYMTABLENODE *STFindNode(SYMTABLE *table,const char *name);
void STRemoveEntry(SYMTABLE *table,SYMTABLENODE *theNode);
SYMTABLENODE *STAddEntryAtStart(SYMTABLE *table,const char *name,void *data);
SYMTABLENODE *STAddEntryAtEnd(SYMTABLE *table,const char *name,void *data);
void *STFindDataForName(SYMTABLE *table,const char *name);
SYMTABLENODE *STFindFirstEntry(SYMTABLE *table);
SYMTABLENODE *STFindLastEntry(SYMTABLE *table);
SYMTABLENODE *STFindNextEntry(SYMTABLE *table,SYMTABLENODE *previousEntry);
SYMTABLENODE *STFindPrevEntry(SYMTABLE *table,SYMTABLENODE *nextEntry);
unsigned int STNumEntries(SYMTABLE *table);
SYMTABLE *STNewSymbolTable();
void STDisposeSymbolTable(SYMTABLE *table);
