//	Copyright (C) 1999-2003 Core Technologies.
//
//	This file is part of tpasm.
//
//	tpasm is free software; you can redistribute it and/or modify
//	it under the terms of the tpasm LICENSE AGREEMENT.
//
//	tpasm is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	tpasm LICENSE AGREEMENT for more details.
//
//	You should have received a copy of the tpasm LICENSE AGREEMENT
//	along with tpasm; see the file "LICENSE.TXT".


void ReportBadOperands();
bool CheckSignedByteRange(int theValue,bool generateMessage,bool isError);
bool CheckUnsignedByteRange(int theValue,bool generateMessage,bool isError);
bool CheckByteRange(int theValue,bool generateMessage,bool isError);
bool CheckSignedWordRange(int theValue,bool generateMessage,bool isError);
bool CheckUnsignedWordRange(int theValue,bool generateMessage,bool isError);
bool CheckWordRange(int theValue,bool generateMessage,bool isError);
bool Check8BitIndexRange(int theValue,bool generateMessage,bool isError);
bool Check16BitIndexRange(int theValue,bool generateMessage,bool isError);
bool Check32BitIndexRange(int theValue,bool generateMessage,bool isError);
bool Check8RelativeRange(int theValue,bool generateMessage,bool isError);
bool Check16RelativeRange(int theValue,bool generateMessage,bool isError);
bool GenerateByte(unsigned char value,LISTING_RECORD *listingRecord);
bool HandleDB(PSEUDO_OPCODE *opcode,char *theLine,int *lineIndex,bool haveLabel,bool isLocal,char *lineLabel,LISTING_RECORD *listingRecord);
bool HandleLEDW(PSEUDO_OPCODE *opcode,char *theLine,int *lineIndex,bool haveLabel,bool isLocal,char *lineLabel,LISTING_RECORD *listingRecord);
bool HandleBEDW(PSEUDO_OPCODE *opcode,char *theLine,int *lineIndex,bool haveLabel,bool isLocal,char *lineLabel,LISTING_RECORD *listingRecord);
bool HandleDS(PSEUDO_OPCODE *opcode,char *theLine,int *lineIndex,bool haveLabel,bool isLocal,char *lineLabel,LISTING_RECORD *listingRecord);
bool HandleDSW(PSEUDO_OPCODE *opcode,char *theLine,int *lineIndex,bool haveLabel,bool isLocal,char *lineLabel,LISTING_RECORD *listingRecord);
bool HandleIncbin(PSEUDO_OPCODE *opcode,char *theLine,int *lineIndex,bool haveLabel,bool isLocal,char *lineLabel,LISTING_RECORD *listingRecord);
